<body class="body">
  <div class="login">
    <form [formGroup]="formulario" (ngSubmit)="login()" class="form-body">      
      <img src="https://alacarta.online/static/images/Alacarta_Logo_Transparent.png" alt="logo" class="img">
      <mat-form-field appearance="outline">
        <mat-label>Usuario</mat-label>
        <input matInput placeholder="Usuario" formControlName="usuario">            
      </mat-form-field>
      <div *ngIf="formulario.controls['usuario'].invalid && (formulario.controls['usuario'].dirty || formulario.controls['usuario'].touched)" class="alert">
        <div *ngIf="formulario.controls['usuario'].errors">
          Ingrese Usuario
        </div>
      </div>        
      <mat-form-field appearance="outline">
        <mat-label>Contraseña</mat-label>
        <input matInput placeholder="Contraseña" type='password' formControlName="password">
      </mat-form-field>
      <div *ngIf="formulario.controls['password'].invalid && (formulario.controls['password'].dirty || formulario.controls['password'].touched)" class="alert">
        <div *ngIf="formulario.controls['password'].errors">
          Ingrese Contraseña
        </div>
      </div>        
      <button type="submit" class="btn-login" mat-flat-button color="primary">
        Enviar
      </button>
    </form>
  </div>
</body>
